-- Communication frames are connected to Communication.WindowName

---------------------------------------------------------------------
-- Updates communication screen animations
--
local BlinkTime=0;
function Commander_OnUpdate(Time)
	-- Blink eyes
	BlinkTime=BlinkTime+Time;
	if (BlinkTime>4) then
		GetGlobal(Communication.WindowName.."BGEyes"):Play();
		BlinkTime=0;
	end
end

---------------------------------------------------------------------
-- This function will be called when speaking animation should start
--
function Communication:StartSpeaking()
	-- Start playing
	local Mouth=GetGlobal(Communication.WindowName.."BGMouth");
	Mouth:Play();
end

---------------------------------------------------------------------
-- This function will be called when speaking animation should end
--
function Communication:StopSpeaking()
	-- Jump to last frame and stop
	local Mouth=GetGlobal(Communication.WindowName.."BGMouth");
	Mouth:SetFrame(5);
	Mouth:Stop();
end
