-- These values have to match data defined in Profiler.xml
local TotalTimeBars=23;
local TotalBars=8;

---------------------------------------------------------------------
-- Updates profiler data
--
function Profiler_OnUpdate(Time)
	-- Update running total time bars
	local Prev=GetGlobal("ProfilerWindowTotalFrameBar"..TotalTimeBars.."Bar");
	local i;
	for i=TotalTimeBars-1,0,-1 do
		local Frame=GetGlobal("ProfilerWindowTotalFrameBar"..i.."Bar");
		Prev:SetHeight( Frame:GetHeight() );
		Prev=Frame;
	end
	-- Set last total time
	ProfilerWindowTotalFrameBar0Bar:SetHeight( Profiler.LastTime*1000 );
	
	-- Show bar data
	for i=0,TotalBars-1 do
		-- Set time data
		local Frame=GetGlobal("ProfilerWindowFrameBar"..i.."Bar");
		Frame:SetRelativeSize( Profiler.Time[i], -1 );
	end
end

---------------------------------------------------------------------
-- Updates profiler names
--
function Profiler_UpdateNames()
	-- Set title name
	ProfilerWindowText:SetText( Profiler.Title );

	-- Set bar names
	local i;
	for i=0,TotalBars-1 do
		local Frame=GetGlobal("ProfilerWindowFrameBar"..i.."Text");
		Frame:SetText( Profiler.Name[i] );
	end
end
